W(1)

NAZWA
w - Pokaż kto jest zalogowany i co robi

SKŁADNIA
w - [husfV] [użytkownik]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

w wyświetla informacje u użytkownikach, zajmujących obecnie maszynę, oraz o ich procesach. Nagłówek pokazuje odpowiednio, czas bieżący, czas pracy systemu, liczbę zalogowanych użytkowników i obciążenie systemu w poprzedniej minucie, w 5 i 15 minutach.

Dla każdego użytkownika wyświetlane są następujące wpisy: nazwa zgłoszeniowa, nazwa tty, zdalny host, czas zgłoszenia, czas bezczynności, JCPU, PCPU i linia poleceń ich obecnego procesu.

Czas JCPU jest czasem zużytym przez wszystkie procesy podwieszone do tty. Nie uwzględnia poprzednich zadań z tła, lecz uwzględnia obecnie działające zadania tła.

Czas PCPU jest czasem, zużywanym przez proces bieżący, nazwany w polu "what".

OPCJE LINII POLECEŃ

-h  Nie drukuj nagłówka.

-u  Ingnoruje nazwę użytkownika podczas wyszukiwania obecnych czasów procesu i cpu. Aby to zademonstrować, zrób "su", a następnie "w" i "w -u".

-s  Uzyj krótkiego formatu. Nie drukuj czasu zgłoszenia, JCPU i PCPU.

-f  Przełączaj drukowanie pola from (zdalnego hosta). Domyślnie, pole from nie jest drukowane, choć administrator systemu może wkompilować inną wartość domyślną.

-V  Wyświetl informację o wersji

użytkownik
    Pokaż informację jedynie o podanym użytkowniku.

PLIKI
/etc/utmp informacja o tym, kto jest obecnie zalogowany /proc informacja procesów

ZOBACZ TKŻE
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTORZY
w został w całości przepisany przez Charlesa Blake, w oparciu o wersję Larry'ego Greenfielda <greenfie@gauss.rutgers.edu> i Michaela K. Johnsona <johnsonm@redhat.com>. Raporty o błędach ślij do <procps-bugs@redhat.com>

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 w.procps

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.